Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 29 Mar 2023 13:33:59 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Regarding my previous return, I had requested for a return request for 3 items on 19th march. On 26 th march they had taken 2 items onlyand refund not credited to wallet and 1 item not yet collected. I had mad compliments to online 2 times. til now nobody call me.

Please do something I need to go for vacation on next week and need to purchase the other item.

Order number: 9421279628 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5945557